import { FG_Plugin } from 'src/plugins';
import permissions from '../permissions';

const mainRoutes: FG_Plugin.PluginRouteConfig[] = [
  {
    title: 'Gerücht',
    icon: 'mdi-cash-100',
    path: 'balance',
    name: 'balance',
    redirect: { name: 'balance-view' },
    meta: { permissions: ['user'] },
    children: [
      {
        title: 'Übersicht',
        icon: 'mdi-cash-check',
        path: 'overview',
        name: 'balance-view',
        meta: { permissions: [permissions.SHOW] },
        component: () => import('../pages/Overview.vue'),
      },
      {
        title: 'Buchen',
        icon: 'mdi-cash-plus',
        path: 'change',
        name: 'balance-change',
        shortcut: true,
        meta: { permissions: [permissions.DEBIT_OWN, permissions.SHOW] },
        component: () => import('../pages/MainPage.vue'),
      },
      {
        title: 'Verwaltung',
        icon: 'mdi-account-cash',
        path: 'admin',
        name: 'balance-admin',
        meta: { permissions: [permissions.SET_LIMIT, permissions.SHOW_OTHER] },
        component: () => import('../pages/Admin.vue'),
      },
    ],
  },
];

export default mainRoutes;
