import { FG_Plugin } from 'src/plugins';

const mainRoutes: FG_Plugin.PluginRouteConfig[] = [
  {
    title: 'Dienste',
    icon: 'mdi-briefcase',
    path: 'schedule',
    name: 'schedule',
    component: () => import('../pages/MainPage.vue'),
    meta: { permissions: ['user'] },
    children: [
      {
        title: 'Dienstübersicht',
        icon: 'mdi-account-group',
        path: 'schedule-overview',
        name: 'schedule-overview',
        shortcut: true,
        meta: { permissions: [] },
        component: () => import('../pages/Overview.vue'),
      },
      {
        title: 'Dienstverwaltung',
        icon: 'mdi-account-details',
        path: 'schedule-management',
        name: 'schedule-management',
        shortcut: false,
        meta: { permissions: [] },
        component: () => import('../pages/Management.vue'),
      },
      {
        title: 'Dienstanfragen',
        icon: 'mdi-account-switch',
        path: 'schedule-requests',
        name: 'schedule-requests',
        shortcut: false,
        meta: { permissions: [] },
        component: () => import('../pages/Requests.vue'),
      },
    ],
  },
];

export default mainRoutes;
